package car;

public interface ICar {
	void setFrontDoorState(boolean isOpened);

	void setRearDoorState(boolean isOpened);

	void setHoodState(boolean isOpened);

	void setBootState(boolean isOpened);

	void setIgnitionState(boolean isOn);

	void setCentralLockState(boolean isLocked);

	/**
	 * @param isLight
	 *            true if shock is light and false if strong.
	 */
	void setShock(boolean isLight);
}
