package car;

import main.CarGui;
import siren.Siren;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

public class SignalsCO implements ControlledObject {

	/**
	 * @unimod.action.descr 1 сигнал
	 */
	public void z1(StateMachineContext context) {
		CarGui.blink(1);
		Siren.beep(1);
	}

	/**
	 * @unimod.action.descr 2 сигнал
	 */
	public void z2(StateMachineContext context) {
		CarGui.blink(2);
		Siren.beep(2);
	}

	/**
	 * @unimod.action.descr 3 сигнала
	 */
	public void z3(StateMachineContext context) {
		CarGui.blink(3);
		Siren.beep(3);
	}

	/**
	 * @unimod.action.descr 4 сигнала
	 */
	public void z4(StateMachineContext context) {
		CarGui.blink(4);
		Siren.beep(4);
	}

	/**
	 * @unimod.action.descr 1/10 сигналов
	 */
	public void z5(StateMachineContext context) {
		CarGui.blink(10);
		Siren.beep(1);
	}

	/**
	 * @unimod.action.descr 1 серия тревоги
	 */
	public void z6(StateMachineContext context) {
		CarGui.blink(10);
		CarBlockEP.fireEvent(CarBlockEP.E405);
		Siren.alarm(1);
	}

	/**
	 * @unimod.action.descr 3 серии тревоги
	 */
	public void z7(StateMachineContext context) {
		CarGui.blink(30);
		CarBlockEP.fireEvent(CarBlockEP.E404);
		Siren.alarm(3);
	}

	/**
	 * @unimod.action.descr Постоянная тревога
	 */
	public void z8(StateMachineContext context) {
		CarGui.startBlinking();
		Siren.alarm(99);
	}

	/**
	 * @unimod.action.descr Сообщить о включении
	 */
	public void z9(StateMachineContext context) {
		CarBlockEP.fireEvent(CarBlockEP.E401);
	}

	/**
	 * @unimod.action.descr Сообщить о выключении
	 */
	public void z10(StateMachineContext context) {
		CarBlockEP.fireEvent(CarBlockEP.E402);
	}

	/**
	 * @unimod.action.descr Сообщить о панике
	 */
	public void z11(StateMachineContext context) {
		CarBlockEP.fireEvent(CarBlockEP.E403);
	}

	/**
	 * @unimod.action.descr Сообщить о взломе
	 */
	public void z12(StateMachineContext context) {
		CarBlockEP.fireEvent(CarBlockEP.E404);
	}

	/**
	 * @unimod.action.descr Сообщить об ударе
	 */
	public void z13(StateMachineContext context) {
		CarBlockEP.fireEvent(CarBlockEP.E405);
	}

}
